<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.undertow.byte-buffer-pool">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="buffer-size,direct,leak-detection-percent,max-pool-size,thread-local-cache-size"/>
        <elem name="addr-params" value="profile,subsystem,byte-buffer-pool"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.byte-buffer-pool.$byte-buffer-pool"/>
    </provides>
    <refs>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="max-pool-size" nillable="true"/>
        <param name="thread-local-cache-size" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="byte-buffer-pool" feature-id="true"/>
        <param name="direct" nillable="true"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="buffer-size" nillable="true"/>
        <param name="leak-detection-percent" nillable="true"/>
    </params>
</feature-spec>